Home | About | Sematext search-lucene.com search-hadoop.com
NEW: Monitor These Apps!
elasticsearch, apache solr, apache hbase, hadoop, redis, casssandra, amazon cloudwatch, mysql, memcached, apache kafka, apache zookeeper, apache storm, ubuntu, centOS, red hat, debian, puppet labs, java, senseiDB
 Search Hadoop and all its subprojects:

Switch to Threaded View
Hadoop >> mail # dev >> Re: Heads up - 2.0.5-beta


Copy link to this message
-
Re: Heads up - 2.0.5-beta
On Fri, Apr 26, 2013 at 2:42 PM, Suresh Srinivas <[EMAIL PROTECTED]> wrote:
> Eli, I will post a more detailed reply soon. But one small correction:
>
>
> I'm also not sure there's currently consensus on what an incompatible
>> change is. For example, I think HADOOP-9151 is incompatible because it
>> broke client/server wire compatibility with previous releases and any
>> change that breaks wire compatibility is incompatible.  Suresh felt it
>> was not an incompatible change because it did not affect API
>> compatibility (ie PB is not considered part of the API) and the change
>> occurred while v2 is in alpha.
>>
>
> This is not correct. I did not say it was not an incompatible change.
> It was indeed an incompatible wire protocol change. My argument was,
> the phase of development we were in, we could not mark wire protocol
> as stable and not make any incompatible change. But once 2.0.5-beta
> is out, as had discussed earlier, we should not make further incompatible
> changes to wire protocol.

Sorry for the confusion, I misinterpreted your comments on the jira
(specifically, "This is an incompatible change: I disagree." and "see
my argument that about why this is not incompatible.")  to indicate
that you thought it was not incompatible.

>
> --
> http://hortonworks.com/download/
NEW: Monitor These Apps!
elasticsearch, apache solr, apache hbase, hadoop, redis, casssandra, amazon cloudwatch, mysql, memcached, apache kafka, apache zookeeper, apache storm, ubuntu, centOS, red hat, debian, puppet labs, java, senseiDB